Package org.eclipse.birt.report.model.api

# Class ScriptLibHandle

java.lang.Object
org.eclipse.birt.report.model.api.ElementDetailHandle
org.eclipse.birt.report.model.api.ValueHandle
org.eclipse.birt.report.model.api.StructureHandle
org.eclipse.birt.report.model.api.ScriptLibHandle

public class ScriptLibHandle extends StructureHandle
Represents a handle of jar file used for script handle event. Each jar file has following properties:

name
  name of jar file.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle

`structContext`

### Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`elementHandle`

## Constructor Summary

Constructors
Constructor
Description
`ScriptLibHandle(SimpleValueHandle valueHandle, int index)`
Constructs the handle of jar file.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Returns jar file name value.
`void`
`setName(String name)`
Sets the jar file name value.

### Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle

`drop, getContext, getDefn, getExpressionProperty, getExternalizedValue, getExternalizedValue, getIntProperty, getMember, getProperty, getPropertyDefn, getStringProperty, getStructure, isDesignTime, isLocal, iterator, setDesignTime, setExpressionProperty, setProperty, setPropertySilently`

### Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle

`getReference`

### Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`getDesign, getElement, getElementHandle, getModule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScriptLibHandle

public ScriptLibHandle(SimpleValueHandle valueHandle, int index)
Constructs the handle of jar file.

Parameters:
  `valueHandle` - the value handle for jar file list of one property
  `index` - the position of this jar file in the list

## Method Details

### setName

public void setName(String name) throws SemanticException
Sets the jar file name value.

Parameters:
  `name` - the jar file name value to set
Throws:
  `SemanticException`

### getName

public String getName()
Returns jar file name value.

Returns:
  the jar file name value